# babel-plugin-remove-use-strict

remove "use strict" directive

## Installation

```sh
$ npm install babel-plugin-remove-use-strict
```

## Usage

### Via `.babelrc` (Recommended)

**.babelrc**

```js
{
  "plugins": ["remove-use-strict"]
}
```

### Via CLI

```sh
$ babel --plugins remove-use-strict script.js
```

### Via Node API

```javascript
require("@babel/core").transform(`
    "use strict";
    function f(){
        "use strict"
        log("use strict")
    }
`, {
  plugins: ["remove-use-strict"]
});
```