const assert = require('assert');
const babel = require('@babel/core');
const removeUseStrictPlugin = require('./index');

const useStrictCode = `
    "use strict";
    function f(){"use strict";log("use strict")}
`;
const notUseStrictCode =`
    function f(){
        log("use strict")
    }
`;
function transform(code){
   return babel.transformSync(code,{plugins:[removeUseStrictPlugin]}).code;
};

const resultFromUseStrictCode = transform(useStrictCode);
const resultFromNotUseStrictCode = transform(notUseStrictCode);

assert.strictEqual(
    resultFromUseStrictCode,
    resultFromNotUseStrictCode
);

console.log('ok! resultFromUseStrictCode:\n'+resultFromUseStrictCode);
